#include <iostream>
#include <cmath>
using namespace std;
int main()
{
	long long int A,B,C;
	cin>>A>>B>>C;
	long long int a,b,c;
	long long int ka=1,kb=1,kc=1;
	long long int ar[6];
	a=A;
	b=B;
	c=C;
	while(a>=10){
		a=a/10;
		ka++;}
	while(b>=10){
		b=b/10;
		kb++;}
	while(c>=10){
		c=c/10;
		kc++;}
	ar[0]=A*(pow(10,kb+kc))+B*(pow(10,kc))+C;
	ar[1]=A*(pow(10,kb+kc))+C*(pow(10,kb))+B;
	ar[2]=B*(pow(10,ka+kc))+A*(pow(10,kc))+C;
	ar[3]=B*(pow(10,ka+kc))+C*(pow(10,ka))+A;
	ar[4]=C*(pow(10,kb+ka))+A*(pow(10,kb))+B;
	ar[5]=C*(pow(10,kb+ka))+B*(pow(10,ka))+A;
	long long int max=ar[0];
	for(int i=0;i<6;i++)
	{
		if(ar[i]>max)
		{
		max=ar[i];}}
	cout<<max;
}